files = {
    '/etc/crontab': {
        'content_type': 'mako',
        'context': {
            'min': (node.magic_number%60),
        },
    },
}

directories = {
    '/etc/cron.d': {
        'purge': True,
        'needs': {
            'pkg_apt:',
        },
    },
}

for crontab, content in node.metadata.get('cron', {}).items():
    files['/etc/cron.d/{}'.format(crontab)] = {
        'source': 'cron_template',
        'content_type': 'mako',
        'context': {
            'cron': content,
        }
    }
