defaults = {
    'apt': {
        'repos': {
            'deb-multimedia': {
                'items': {
                    'deb https://ftp-stud.hs-esslingen.de/pub/Mirrors/debian-multimedia/ stable main',
                },
            },
        },
        'packages': {
            'cec-utils': {},
            'fonts-noto': {},
            'fonts-roboto': {},
            'kodi': {},
            'libasound2': {},
            'libcec4': {},
            'ttf-mscorefonts-installer': {},
            'tv-fonts': {},
            'xfonts-base': {},
            'xinit': {},
            'xserver-xorg': {},
            'xserver-xorg-legacy': {},
        },
    },
    'backups': {
        'paths': {
            '/home/kodi',
        },
    },
    'users': {
        'kodi': {
            'groups': {
                'audio',
                'tty',
                'video',
            },
        },
    },
}
