pkg_apt = {
    'lldpd': {},
}

directories = {
    '/etc/lldpd.d': {
        'purge': True,
        'needs': {
            'pkg_apt:lldpd',
        },
        'triggers': {
            'svc_systemd:lldpd:restart',
        },
    },
}

files = {
    '/etc/lldpd.d/bundlewrap.conf': {
        'content_type': 'mako',
        'needs': {
            'pkg_apt:lldpd',
        },
        'triggers': {
            'svc_systemd:lldpd:restart',
        },
    },
}

svc_systemd = {
    'lldpd': {
        'needs': {
            'pkg_apt:lldpd',
            'file:/etc/lldpd.d/bundlewrap.conf',
        },
    },
}
