defaults = {
    'backups': {
        'paths': {
            '/var/lib/postgresql',
        },
    },
    'icinga2_api': {
        'postgresql': {
            'services': {
                'POSTGRESQL PROCESS': {
                    'command_on_monitored_host': '/usr/lib/nagios/plugins/check_procs -C postgres -c 1:',
                },
            },
        },
    },
}

if node.has_bundle('zfs'):
    defaults['zfs'] = {
        'datasets': {
            'tank/postgresql': {
                'mountpoint': '/var/lib/postgresql',
            },
        },
    }
