users = {
    'seafile': {
        'home': '/opt/seafile',
    },
}

directories = {
    '/opt/seafile': {
        'mode': '0755',
        'owner': 'seafile',
        'group': 'seafile',
    },
}

files = {
    '/etc/systemd/system/seafile.service': {
        'needed_by': {
            'svc_systemd:seafile',
        },
        'triggers': {
            'action:systemd-reload',
        },
    },
    '/etc/systemd/system/seahub.service': {
        'needed_by': {
            'svc_systemd:seafile',
        },
        'triggers': {
            'action:systemd-reload',
        },
    },
}

svc_systemd = {
    'seafile': {},
    'seahub': {
        'needs': {
            'svc_systemd:seafile',
        },
    },
}
